Skip to main content

Simple Western Consumables

Simple Western Consumables are designed for use with Simple Western instruments. Must be used in conjunction with Compass Software version 2.5 or higher and compatible firmware.

9 results for "Simple Western Consumables" in Products

Simple Western Consumables

Simple Western Consumables are designed for use with Simple Western instruments. Must be used in conjunction with Compass Software version 2.5 or higher and compatible firmware.

9 results for "Simple Western Consumables" in Products

View expanded search

Compatible with Jess™ and Abby™ systems ONLY.

Compatible with Jess™, Abby™ and Wes™ systems and is for research use only.

Catalog #: PS-PP03

Compatible with Jess™, Abby™ and Wes™ systems using Compass v2.7 or higher.

Compatible with Jess™, Abby™ and Wes™ systems ONLY.

Catalog #: PS-PP04

Compatible with Jess™, Abby™ and Wes™ systems using Compass v2.7 or higher.

Catalog #: 009-077

Compatible with Jess™ and Wes™ systems.

Catalog #: PS-PP05

Compatible with Jess™, Abby™ and Wes™ systems using Compass v3.0 or higher.

Catalog #: 004-651

Compatible with Jess™ systems ONLY.

Catalog #: 043-829

Compatible with Jess™, Abby™, Wes™, Peggy Sue and Sally Sue systems.

/ 1
Results Per Page
5 10 25 50